local _M = {}

function _M.get()
	local _V = {}

	_V = {
		terminal = "alacritty",
		editor = os.getenv("EDITOR") or "nvim",
		modkey = "Mod4",
		wallpaper = os.getenv("HOME") .. "/.config/awesome/theme/background.jpg",
	}
	_V.editor_cmd = _V.terminal .. " -e " .. _V.editor

	return _V
end

return setmetatable({}, {
	__call = function(_, ...)
		return _M.get(...)
	end,
})
